# generated by cabal-rpm-0.11.1
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name scotty
%global pkgver %{pkg_name}-%{version}

%global fail fail-4.9.0.0
%global subpkgs %{fail}

%bcond_with tests

Name:           ghc-%{pkg_name}
Version:        0.11.0
# can only be reset when all subpkgs bumped
Release:        1%{?dist}
Summary:        Haskell web framework inspired by Ruby's Sinatra, using WAI and Warp

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
Source1:        https://hackage.haskell.org/package/%{fail}/%{fail}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros-extra
# Begin cabal-rpm deps:
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-case-insensitive-devel
BuildRequires:  ghc-data-default-class-devel
#BuildRequires:  ghc-fail-devel
BuildRequires:  ghc-http-types-devel
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-regex-compat-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-base-devel
BuildRequires:  ghc-transformers-compat-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-wai-devel
BuildRequires:  ghc-wai-extra-devel
BuildRequires:  ghc-warp-devel
%if %{with tests}
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-hspec-wai-devel
BuildRequires:  ghc-lifted-base-devel
%endif
# End cabal-rpm deps

%description
A Haskell web framework inspired by Ruby's Sinatra, using WAI and Warp.

Scotty is the cheap and cheerful way to write RESTful, declarative web
applications.

* A page is as simple as defining the verb, url pattern, and Text content.
* It is template-language agnostic. Anything that returns a Text value will do.
* Conforms to WAI Application interface.
* Uses very fast Warp webserver by default.

As for the name: Sinatra + Warp = Scotty.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%global main_version %{version}

%if %{defined ghclibdir}
%ghc_lib_subpackage %{fail}
%endif

%global version %{main_version}


%prep
%setup -q -n %{pkgver} -a1
cabal-tweak-drop-dep nats
cabal-tweak-dep-ver aeson '< 0.11' '< 1.1'
cabal-tweak-dep-ver data-default-class '< 0.1' '< 0.2'


%build
%ghc_libs_build %{subpkgs}
%ghc_lib_build


%install
%ghc_libs_install %{subpkgs}
%ghc_lib_install
%ghc_fix_rpath %{subpkgs}


%check
%cabal_test


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%license LICENSE


%files devel -f %{name}-devel.files
%doc README.md changelog.md examples


%changelog
* Thu Feb 23 2017 Jens Petersen <petersen@redhat.com> - 0.11.0-1
- update to 0.11.0
- subpackage fail

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Oct  5 2016 Jens Petersen <petersen@redhat.com> - 0.10.0-1
- update to 0.10.0
- allow http-types-0.9

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Sep  7 2015 Jens Petersen <petersen@redhat.com> - 0.9.0-4
- use license macro

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar  4 2015 Jens Petersen <petersen@fedoraproject.org> - 0.9.0-2
- cblrpm refresh

* Mon Sep 08 2014 Jens Petersen <petersen@redhat.com> - 0.9.0-1
- update to 0.9.0

* Mon Sep 01 2014 Jens Petersen <petersen@redhat.com> - 0.8.2-1
- update to 0.8.2
- refresh to cblrpm-0.8.11

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May  8 2014 Jens Petersen <petersen@redhat.com> - 0.5.0-4
- enable ARM

* Wed Jan 22 2014 Jens Petersen <petersen@redhat.com> - 0.5.0-3
- rebuild

* Thu Nov 21 2013 Ricky Elrod <codeblock@fedoraproject.org> - 0.5.0-2
- Skip ARM for now.

* Mon Nov 18 2013 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.5.0
- spec file generated by cabal-rpm-0.8.6
